
Smart Proxy - Feature #13761

Refactor virsh providers into libvirt with ruby-bindings

02/17/2016 09:49 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: DHCP   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/389

  

Description

I need this for discovery testing.

Related issues:

Related to Smart Proxy - Bug #14775: virsh/libvirt migration doesn't update D... Closed 04/22/2016

Related to Smart Proxy - Bug #15434: RHEL 7 provided rubygem-ruby-libvirt bre... Closed 06/16/2016

Associated revisions

Revision 6798dc58 - 04/22/2016 05:43 AM - Lukas Zapletal 

Fixes #13761 - libvirt provider with native bindings

History

#1 - 02/17/2016 09:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/382 added

#2 - 02/25/2016 11:09 AM - Lukas Zapletal

- Subject changed from Add leases support to virsh provider to Refactor virsh providers into libvirt with ruby-bindings

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/382)

It looks like refactoring everything to drop virsh and communicate via libvirt protocol is not large, I will go ahead and do this. Not sure which category

to set since this will include both DHCP and DNS providers.

#3 - 02/26/2016 04:05 AM - Dominic Cleal

- Category set to DHCP

- Status changed from Ready For Testing to Assigned

#4 - 03/04/2016 09:59 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/389 added

#5 - 04/22/2016 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6798dc589b83eb601a135f914db5ec2308c492e1.

#6 - 04/22/2016 07:12 AM - Dominic Cleal

- translation missing: en.field_release set to 136
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/6798dc589b83eb601a135f914db5ec2308c492e1


#7 - 04/22/2016 08:11 AM - Dominic Cleal

- Related to Bug #14775: virsh/libvirt migration doesn't update DNS/DHCP module provider from *_virsh added

#8 - 06/16/2016 09:25 AM - Dominic Cleal

- Related to Bug #15434: RHEL 7 provided rubygem-ruby-libvirt breaks proxy with libvirt added
